Name:             python-junitxml
Version:          0.7
Release:          18
Summary:          Python unittest TestResult that outputs JUnit compatible XML
License:          LGPLv3
URL:              https://launchpad.net/pyjunitxml
Source0:          https://pypi.python.org/packages/source/j/junitxml/junitxml-%{version}.tar.gz
BuildArch:        noarch
BuildRequires:    python3-devel

%description
A Python unittest TestResult that outputs JUnit compatible
XML.

%package -n       python3-junitxml
Summary:          Python unittest TestResult that outputs JUnit compatible XML
BuildRequires:    python3-devel

%description -n   python3-junitxml
A Python unittest TestResult that outputs JUnit compatible
XML.

%prep
%autosetup -n junitxml-%{version} -p1

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/pyjunitxml %{buildroot}%{_bindir}/pyjunitxml-%{python3_version}
ln -s ./pyjunitxml-%{python3_version} %{buildroot}%{_bindir}/pyjunitxml-3

%files -n python3-junitxml
%{_bindir}/pyjunitxml-3
%{_bindir}/pyjunitxml-%{python3_version}
%{python3_sitelib}/*
%doc COPYING

%changelog
* Wed Oct 21 2020 Ge wang <wangge20@huawei.com> - 0.7-18
- remove python2 packages

* Mon Mar 9 2020 likexin <likexin4@huawei.com> - 0.7-17
- package init
